unit Roman;

interface

  type
    TRomanNumeral = class
        function toRoman(n : integer): string;
    end;

implementation

{ TRomanNumeral }

function TRomanNumeral.toRoman(n: integer): string;
var s : string;
begin
  s:='';

  if n<=3 then begin
    while n>0 do begin
      n:=n-1;
      s:=s+'I';
    end;
  end
  else if (n=4)  then s:='IV'
  else if (n=9)  then s:='IX'
  else if (n=14) then s:='XIV'
  else if (n=19) then s:='XIX'
  else if (n=40) then s:='XL'
  else if (n=90) then s:='XC'

  //else if (n=400) then s:='CD'
  //else if (n=900) then s:='CM'

  else begin
   { while n>=1000 do begin
      s:=s+'M';
      n:=n-1000;
    end;
   }
   { while n>=500 do begin
      s:=s+'D';
      n:=n-500;
    end;
   }
    while n>=100 do begin
      s:=s+'C';
      n:=n-100;
    end;

    while n>=50 do begin
      s:=s+'L';
      n:=n-50;
    end;

    while n>=10 do begin
      s:=s+'X';
      n:=n-10;
    end;

    while n>=5 do begin
      s:=s+'V';
      n:=n-5;
    end;

    while n>0 do begin
      s:=s+'I';
      n:=n-1;
    end;
  end;

  toRoman := s;
end;

end.
